namespace Qt {
	using System;

	[AttributeUsage(AttributeTargets.Class, Inherited=true, AllowMultiple=true)]
	public class DeclareQtSignalAttribute: Attribute {
		private string signalName;

		internal string SignalName {
			get { return signalName; }
		}

		public DeclareQtSignalAttribute(string signalname) {
			signalName = signalname.Replace(" ", "");
		}
	}
}
